import javax.swing.*;
import java.io.*;

public class combustiontest1
{
public static void main(String arg[]) 
{
String s[]={"ch4","c2h6"};
double N[]={0.9,1.0};
double a_f=1.0;
double Tproduct=1000.0;//degree K
double Tfuel=298.16;//degree K
double Tair=298.16;//degree K
combustion cc=new combustion("CH4 combustion",s,N,a_f);
double a_f_ratio=cc.adiabatic_a_f_ratio(Tfuel,Tair,Tproduct,1.0,10.0);
double Q=cc.H(Tfuel,Tair,Tproduct);
System.out.println("air_to_fuel ratio="+a_f_ratio);
System.out.println(cc.toString());
System.out.println("Q="+Q);	
}	
}